[Portal dashboard] Add a "CTR on first visit" metric
Closed, ResolvedPublic2 Story Points

Description

The current clickthrough rate (CTR) is the overall CTR, affected by user sessions that can go on for arbitrary lengths of time if the user (or multiple users coming back to use the same computer) maintains a logged session by visiting the Portal before their session expires (expiration time is set at 15 minutes and timer resets if the user comes back within that time).

We should probably have a second CTR metric that reflects user engagement with the Portal on first (logged) visit.

mpopov created this task.May 2 2016, 8:59 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 2 2016, 8:59 PM
mpopov set the point value for this task to 2.

I'm unsure whether we really want two nearly identical metrics on the dashboards. On the other hand, this data may be useful and we don't really know whether it will or not until we look at it. We can put it on the beta or experimental dashboards, then see whether we want it on the real ones.

Deskana triaged this task as "Normal" priority.May 24 2016, 8:10 PM

Change 295439 had a related patch set uploaded (by Bearloga):
Adds calculation of CTR in first visits only

https://gerrit.wikimedia.org/r/295439

Change 295446 had a related patch set uploaded (by Bearloga):
Adds actions breakdown on first visit

https://gerrit.wikimedia.org/r/295446

Change 295439 merged by Bearloga:
Adds calculation of CTR in first visits only

https://gerrit.wikimedia.org/r/295439

Change 295446 merged by Bearloga:
Adds actions breakdown on first visit

https://gerrit.wikimedia.org/r/295446

debt added a subscriber: debt.Jun 22 2016, 3:11 PM

It's interesting - based on just the first click - the visitors seem to bounce more and search less...but, comparing to the 'session' (multiple visits) the same visitors seem to come back and do more. Am I reading that correctly?

Also - when adding in smoothing - the legend is covering a portion of the graph and the colors are different than the other dashboard pages. Can both of those issues be fixed?

I like it though - it's a good indication of what happens the very first time an individual visitor comes to the page.

Change 295593 had a related patch set uploaded (by Bearloga):
Fix new first visit dashboard

https://gerrit.wikimedia.org/r/295593

Change 295593 merged by Bearloga:
Fix new first visit dashboard

https://gerrit.wikimedia.org/r/295593

It's interesting - based on just the first click - the visitors seem to bounce more and search less...but, comparing to the 'session' (multiple visits) the same visitors seem to come back and do more. Am I reading that correctly?

Yup!

Also - when adding in smoothing - the legend is covering a portion of the graph and the colors are different than the other dashboard pages. Can both of those issues be fixed?

Patch deployed. Check it out again?

I like it though - it's a good indication of what happens the very first time an individual visitor comes to the page.

Cool! So…keeping it? :)

debt added a comment.Jun 23 2016, 1:54 PM

Much better, thanks! :) Yes, please, lets keep it - I like it!

Change 295753 had a related patch set uploaded (by Bearloga):
Deploy

https://gerrit.wikimedia.org/r/295753

Change 295753 merged by Bearloga:
Deploy

https://gerrit.wikimedia.org/r/295753

debt closed this task as "Resolved".Jul 20 2016, 4:20 PM